import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  ListDeploymentTargetsInput,
  ListDeploymentTargetsOutput,
} from "../models/models_0";
export { __MetadataBearer };
export interface ListDeploymentTargetsCommandInput
  extends ListDeploymentTargetsInput {}
export interface ListDeploymentTargetsCommandOutput
  extends ListDeploymentTargetsOutput,
    __MetadataBearer {}
declare const ListDeploymentTargetsCommand_base: {
  new (
    input: ListDeploymentTargetsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ListDeploymentTargetsCommandInput,
    ListDeploymentTargetsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  new (
    input: ListDeploymentTargetsCommandInput
  ): import("@smithy/core/client").CommandImpl<
    ListDeploymentTargetsCommandInput,
    ListDeploymentTargetsCommandOutput,
    import("..").CodeDeployClientResolvedConfig,
    import("..").ServiceInputTypes,
    import("..").ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/types").EndpointParameterInstructions;
};
export declare class ListDeploymentTargetsCommand extends ListDeploymentTargetsCommand_base {
  protected static __types: {
    api: {
      input: ListDeploymentTargetsInput;
      output: ListDeploymentTargetsOutput;
    };
    sdk: {
      input: ListDeploymentTargetsCommandInput;
      output: ListDeploymentTargetsCommandOutput;
    };
  };
}
